
QGIS Application - Bug report #11202

Invalid SLD generated

2014-09-13 02:51 PM - Ian Turton

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19513

Description

see user report at http://gis.stackexchange.com/questions/113723/qgis-sld-in-geoserver - once the user copy and paste error was fixed

gap elements contained an invalid filter element instead of just a literal.

Related issues:

Related to QGIS Application - Bug report # 10076: SLD file generation Closed 2014-04-15

History

#1 - 2014-09-13 03:02 PM - Ian Turton

This seems to be related to #10076 as both seem to report the incorrect wrapping of a literal expression in a filter.

#2 - 2014-10-31 05:55 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#3 - 2016-08-15 04:08 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master with: https://github.com/qgis/QGIS/pull/3366
